> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Draft Type

> Retrieve a single draft type by its identifier. All fields are included by default.



## OpenAPI

````yaml /api-reference/openapi.yml get /draft-types/{slug}
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /draft-types/{slug}:
    get:
      tags:
        - Draft
      summary: Draft Type
      description: >-
        Retrieve a single draft type by its identifier. All fields are included
        by default.
      operationId: getDraftType
      parameters:
        - in: path
          name: slug
          schema:
            type: string
          required: true
          description: Slug of the draft type to get
      responses:
        '200':
          description: A single draft type object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                  data:
                    $ref: '#/components/schemas/DraftType'
components:
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    DraftType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          $ref: '#/components/schemas/League'
        _links:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
    League:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        fullName:
          type: string
          nullable: true
        commonName:
          type: string
          nullable: true
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        leagueType:
          type: string
          nullable: true
        leagueLevel:
          type: string
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        region:
          type: string
          nullable: true
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        logo:
          properties:
            url:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        numberOfTeams:
          type: integer
          nullable: true
        primaryDraftType:
          allOf:
            - $ref: '#/components/schemas/DraftType'
          nullable: true
        existsInLeagueEndpoint:
          type: boolean
        hasProjectedStats:
          type: boolean
        historicalData:
          type: array
          items:
            properties:
              slug:
                type: string
              name:
                type: string
              fullName:
                type: string
                nullable: true
              firstSeason:
                $ref: '#/components/schemas/Season'
              lastSeason:
                allOf:
                  - $ref: '#/components/schemas/Season'
                nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
            statsUrl:
              type: string
            newsUrls:
              type: array
              items:
                type: string
            forumUrl:
              type: string
            facebook:
              type: string
            x:
              type: string
              nullable: true
            twitter:
              type: string
            instagram:
              type: string
            youtube:
              type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
          nullable: true
        _links:
          type: array
          items:
            type: string
          nullable: true
    TeamClass:
      type: string
      enum:
        - men
        - women
    ScheduleType:
      type: string
      enum:
        - default
        - summer
        - null
      nullable: true
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````